Winamp 2.91:
* fixed an incorrect vis color
* fixed shuffle; now, when you start winamp w/shuffle on, it returns 
                 you to the song you were at when you exited last time
* made winamp not crash if you close it while a file info dialog is open
* fixed jump dialogs when using language packs
* fixed tooltip in lightning bolt
* made video window on autoclose not stop if configured to do so
* made in_mp3 have options for adding tags from ml
* fixed a bug in in_wm
* library: made library refresh properly on add/compact/etc
* library: fixed a library win9x view issue
* library: fixed shift+enter in media library tree
* library: added "Explore item folder" in library's media view
* library: made internet radio/tv display msg when reload is blocked
* library: added "Physically delete file" in library's media view
* dshow: added config dialog (filetypes)
* dshow: added option to vertically flip WMV videos (for machines with old WMV
         codec installed)
* dshow: added file info box
* dshow: fixed issues with widechars
* dshow: fixed bitrates displayed
* dshow: added 32 & 64-bit audio support
* nsv:  fixed title updating (playlist flicker) bug
* nsv: made nsv info box show filename and basic info
* nsv: made nsv use less cpu on [p]rebuffering
* nsv: fixed mp3 decoder's eating of the end of nsv file
* nsv: added AAC decoding support
* nsv: fixed vis on audioless nsvs
* put AOD in all installers (opt-out always)


Winamp 2.90:
* hot new default skin, done by none other than the evil robot turned good, Steve Gedikian
* added integrated full featured video support (NSV and DirectShow (AVI,ASf,MPEG,etc)) 
* added library (complete with media database, shoutcast listing, playlist editing, 
   CD listing, mass tag editting, plugin API for portable devices, and more!)
* updated Winamp's window docking code to be more robust/extensible
  - made AVS dock use this new API
* updated PCM equalizer with code from 4Front Technologies/George Yohng. Quality is a lot better.
* updated equalizer default skin to show the true +12db/-12db range (the 20db was a veeery old typo)
* a ton of new WM_WA_IPC API calls.
  - general purpose plugin window support
  - extended metadata system for getting more than just title/length of items.
  - lots of exposed features via IPC
* updated to PP's latest input and output plugins
* focus/Z order change on window close related bugfixes
* added track numbers and song lengths in HTML generated playlists
* removed all ATL code, shoved EXE size by 20kb :)
* added digital audio extraction in in_cdda.dll
  (needs WNASPI32.DLL under Windows 9x/ME)
* added Alt+M shortcut for minimizing Winamp
* added Ctrl+(Keypad +)/Ctrl+(Keypad -) shortcuts in playlist editor for changing font size
* fixed stop after current menu item trash related bug
* added ultravox support for in_mp3
* made in_mp3 not display 'unknown X' for empty id3 tags
* installer uses leet new NSIS 2.0b3
* improvements to the setup process
* made the keep on screen code multimonitor smart and better
* fixed & error in tooltips in winamp and winampa's systray icons
* and TONS more! (new SDKs will be posted soon.)

Winamp "Classic" 2.81:
* updated to PP's latest input and output plugins
* in_mp3 now doesnt continue to play on output plugin error.
* smaller installers because we use msvcrt.dll now
* fixed bugs relating to files with ~ in their names.
* doublerightclick in credits makes for fullscreen credits
* more bugfixes (including a fix in the version update notification checking)
* updated installer to have nicer error messages.
* made systray icon update if explorer restarts
* and more (muahaha)!

Winamp 2.80:
* fixed drag&drop from open file dialog related bugs
* made CDDB support better handle not-found CDs/lack of CDDB installed.
* update to CDDB ui (bugfix)
* new splash screen
* minibrowser security fix
* updated winamp agent to support both winamp 2.x and 3.x
* included PP's hacks for slightly better unicode filename support
* in_wave support for floating point .WAV files fixed
* better win9x compatibility for DirectSound
* waveOut made skip less
* some in_mod per-file fixes
* OGG Vorbis support for Standard and Full installs.
* CD support back in lite installer.

Winamp 2.79:
* upgraded unzip/decompress support to zlib 1.1.4, for big security fix
* improved multiple instance detection code/opening many files from explorer issues
* winamp agent tooltip improvement
* fix to id3v2+unicode support

Winamp 2.78:
* minibrowser fixes
* cddb2 support
* updates to mod, midi, and wav support (from the wonderful PP)

Winamp 2.77:
* mb.ini skin support (Winamp/MBOpen)
* added page and slider for 'shuffle morph rate' to Preferences so you can 
  control how much the playlist morphs (mutates) each time it cycles 
  through.
* PP's ACM disk writer output plug-in instead of the classic one
* PP's WAV/VOC reader (Which is apparently so much better, but we will see)
* included new in_midi and in_mod (yay)
* made playlist editor automatically size down when necessary (on startup)
* made drag&drop playlist URLs work
* made alt+delete work again in playlist editor
* made winamp.exe and winampa.exe both much less likely to fudge HKCR/.
* fixed drag&drop in vis areas
* made Winamp handle language packs that lack strings and/or dialogs better
* made physical file remover ask you for every file, to prevent disasters
* fixed issues with using a large number of input plug-ins and extensions in 
  open box (I think)
* fixed a small "bug" in the id3 editor of in_mp3
* fixed the frame count bug in id3 editor of in_mp3
* made general purpose plug-in uninstall capability.
* new hyper-leet desktop icon on new installs of full version.
* removed Mjuice support from full version.
* tinyvis 2001 v2.04
* AVS includes experimental fullscreen overlay mode.


Winamp 2.76:
* ryan fixed shuffle!
* christophe added IE URL drag&drop capability
* faster FFTs for vis on WAV/CDDA playback
* fixes RealPlayer's .xpl association bug
* AVS 2.5 (new effects, speedups, smaller presets, etc)
* TinyVis 2001. Includes fast, highly trippy "Random Intelligent Visualization".
* Peter's latest and greatest MIDI plug-in

Winamp 2.75:
* avs 2.4.9 (interface improvements, speedups, new dynamic movement effect (yay!))
* made skin installing do better renaming (removes [1], etc)
* some new sample avs presets (thanks to Zen-X and Marco Muraca, Frank Nagel)
* MASSIVELY optimized directory scanning and removed multi-add bugs
* fixes to in_mod and in_midi.
* fixed some NT/2K uninstall issues.
* updated winamp agent with full color icon
* temporarily removed in_asfs from full distribution (security issue)

Winamp 2.74:
* fixed vis shutdown related bugs (message pump is run while waiting for safety)
* cleaned up some startup code
* fixed layer 2 i/s bug in in_mp3
* fixed HTTP/1.1 + Apache CGI issues in in_mp3.
* improved HTTP auth support in in_mp3
* updated to new in_midi version (go PP)
* new AVS with Overlay support
* made uninstall use NSIS's uninstaller

Winamp 2.73:
* smaller main winamp.EXE
* new AVS version with larger interface
* seeking for HTTP/1.1 streamed MP3 files
* improved minibrowser functionality
* updated versions of MOD and MIDI plug-ins (thanks Jake and PP)
* made out_wm smaller (32k->7k)
* updated to newer, more efficient installer (1.1o)
* fixed one cdda related bug

Winamp 2.72:
* stupid in_mp3 fix (for lame encoded files)
* updated directmusic/midiOut plug-in (Thanks to Peter Pawlowski)
* updated mikamp plug-in (Thanks to Jake Stine)
* made Winamp Agent smaller, use less memory, not interfere with ScanDisk, etc. 
* fixed some skin related bugs (main.bmp is no longer ever reloaded)
* fixed cursor bugs - cursors are now loaded all at once (makes for slightly
  slower skin switching, but should make things more responsive)
* made zip skin loading more reliable (and slightly slower)
* small avs updates

Winamp 2.71:
* new directmusic/midiOut plug-in (PP's)
* mikmod update (we love you Jake)
* avs: optimized fullscreen 32bpp->Xbpp (not full support yet)
       better resizing code, multimonitor support
       many stability improvements, opts to evaluation compiler
       new effects, of bugfixes
       avs minimize modes work right (mostly)
* in_cdda: reduced plug-in size by 30k.
* out_wave: made writeall logic better and less problematic
       altvol mode in no longer fudges with global volume.
* in_mp3: improved mp3 decoder sync (byte level sync, better checking)
          fixed id3v2 rare writing bug
          fixed in_mp3 visualization bug
          made highest the default text for in_mp3
* made shuffle not reinit shuffletable on add/remove, it adapts randomly
* got rid of http:// checking for file retreiving.. http is assumed
* made tooltips and hotkeys for demand/load/play in preferences
* made 12k fullscreen visualization plug-in for all installs (woo)
* fixed F5 redrawing stuff it shouldn't bug
* fixed moving a file in the playlist and then using shift to select
* fixed / in IPC issues (i.e. winamp.exe http://url now works all the time)
* fixed the generic eq slowdown on silence, made more accurate
* fixed vis plug-in installation issues
* made workaround for bug in in_mjf.dll
* a few other fixes I forgot to log

Winamp 2.7:
  * mp3 decoder: better tag editor, bugfixes
  * mod decoder: too much to list. much revised. www.divent.org for more info.
  * much improved CDDA (Faster, less crashy)
  * waveout output plug-in bug fixes
  * new directsound output plug-in (very charming)
  * many optimizations and bugfixes to AVS - this version is quite fast.
  * faster playlist loading, faster playlist editting on large lists
  * windowshade visualization now has spectrum analyzer instead of (crappy)
    VU meter.
  * improved that old issue of what happens when you delete the playing file 
    in the playlist.
  * made credits less problematic (and more time based, less frame based, no more crashing)
  * made multiple-instance handling handle running with different command lines better
  * return of classic demo.mp3
  * sped up exit process some
  * many other small fixes and refinements
  * nsis 1.0 installer (http://www.nullsoft.com/free/nsis/ for more info)

Winamp 2.666:
  * spiffier credits in about box
  * new mp3 input plug-in
    * streaming improvements (now much less intrusive)
    * fully ISO compliant decoding
    * ID3v2 support
    * even more
  * AVS 2.1 . New blitter/movement filtering, MMX optimized, new presets.

Winamp 2.65:
  * fix to ex-m3u bug/security hole
  * improved mp3 http streaming dialog (no longer upsets AVS, etc)
  * optional aol icon in full version

Winamp 2.64:
  * fix to proxy support for mp3 streaming
  * dsp plugin fixes
  * justin can't code

Winamp 2.63:
  * language pack improvements/cleanups
  * giant (2000+) skin archive bug fixed
  * promotional offers on install
  * streaming improvements (authentification, proxy authentification, dialogless
    streaming when winamp is not active, content-disposition usage, etc).
  * minibrowser start page now live if inet connected.
  * return of out_wm (WMA writer) -- lets you transcode your WAV/MP3/MOD/etc
    files into WMA!

Winamp 2.62:
  * Generic dialog processing message loop so now TAB/etc... works in plugins dialog windows
  * Fix to Mjuice (memory leak that caused the full install to puke after many hours)
  * Winamp Visualization Studio updates.
  * Installer bitmap updates
  * Installer terminology changes

Winamp 2.61:
  * In accordance with Microsoft's license agreement, we no longer allow you to 
	use DSP plug-ins or alternate output plug-ins when playing WMA files. 
  * Installation now gives you more options, cleaner.
  * Some mixed block DCT and Antialiasing fixes to Nitrane.
  * Support for .wsz files in your skin directory as well as .zip files.
  * Fixed: gdi leak when switching skins
  * Fixed: gdi object leak when using Winamp systray icon
  * AVS 1.5a6 (coming soon, 1.50)
  * fixed: make the mouseover on install listbox not, err, mess up at weird screen locations
  * fixed: the install screen that comes up always when no net connect available.
  * fixed: bookmarking from explorer should be less nasty
  * updated: uninstall should be more reliable
  * attempted fix: bookmark add/prefs display corruption bug

Winamp 2.6:
  * Massively improved CD audio support complete with menu option to play CD
  * New splash screen (smaller) and about box effect.
  * Removed unused links stuff in about box
  * Improved Jump (to file) dialog (hit the J key)
  * Bookmarking system
  * Fix to mp3 plug-in. Now won't stop after failed shoutcast stream.
  * Updates to URLs used in player for web site integration
  * Winamp Agent (can monitor file types, and restore them)
  * Better Netscape/IE integration
  * Updated MJuice code
  * Updated AudioSoft code
  * Uninstall icon in start menu now has own icon
  * New SuperPiMP installation system

Winamp 2.5d:
  * New MJuice code
  * Cleaned up CDDA plug-in and fixed a few bugs

Winamp 2.5c:
  * Full version has MJF support
  * Fixed icon assignment bug
  * Added option for old-school playlist editor buttons
  * Fixes EQ volume setting bug
  * Removed playlist editor child options
  * Vastly improved window stack positioning code
  * Fixed some rare and strange docking bugs

Winamp 2.50:
  * Winamp is now freeware! Thanks to all who have previously 
    registered, your support is really appreciated!
  * Skin selection menu in main menu, browser in preferences
  * Builtin visualization settings are now in preferences
  * Two streaming-related bugfixes to in_mp3.dll
  * Added streamed-file saving to in_mp3.dll (no shoutcast saving, sorry)
  * Added extended-M3U/PLS support (files include title and length info)
  * Improved in_mp3.dll's frame sync code
  * Better multi-byte character set support
  * Numerous playlist editor bugfixes, and refinements
  * Fixed some default skin images
  * Fixed some leak and GDI issues (thanks, BoundsChecker)
  * Fixed some leaks in in_cdda.dll
  * Restructured some internals of Winamp for bitrate reporting for speed
  * Added recent stream list to open location box
  * Automatic IE integration for SHOUTcast
  * Fixed a bug in out_wave.dll
  * Updated AudioSoft plug-in
  * Final WMA support for full version

--------------------------------------------------------------------------

Winamp 2.24:
  * WSZ (Winamp Skin Zip) handling (simply open a .WSZ file in explorer 
    to have it installed)
  * Two distributions (one with WMA and ASFS, one without)
  * Better equalizer presets
  * Better shuffle logic
  * Better docking code
  * Better support for invalid ID3v2 tags (for people putting invalid tags on)
  * Minibrowser optimizations
  * Fixed occasional random crashes from 2.23 

Winamp 2.23:
  * Nitrane 1.60 MPEG audio decoder with MMX and 3DNow! acceleration
  * MikMod module decoder plug-in version 1.3
  * Self-destructing streaming dialog boxes
  * Equalizer presets included
  * Cosmetic fixes

Winamp 2.22:
  * AudioSoft ASFS Support
  * SHOUTcast 1.1 (final, released) support
  * WMA fixes
  * Lots of bugfixes

Winamp 2.21:
  * WMA support fixed
  * MP3 decoder bugfixes
  * Vastly better DirectSound output
  * Other bugfixes

Winamp 2.20:
  * Windows Media Technology 4.0 (WMT4) input/output support
  * All new better sounding, industry standard Fraunhoffer MP3 decoder
  * Generic PCM EQ that works on most formats (WAV/XM/MOD/IT/VQF/AAC/etc)
  * Recursion in open directory dialog is now optional
  * Windowshade mode for Equalizer
  * Improved CDDA support
  * Minibrowser improvements (new start page, etc)
  * New version checking
  * Fixed evil beeping bug
  * Fixed vis/dsp plug-in directory bugs
  * Fixed de-registration problem. 
  * Fixed a few small bugs

What's new in Winamp 2.10:
  * New preference system (yay!)
  * New install screen stuff (with easier configuration)
  * Improved CDDA plug-in, with auto-play
  * Improved MPEG audio decoding
    * Blip reduction
    * ID3v1 URL Comment support
    * Shoutcast URL Browser support
    * Shoutcast 1.1 title streaming
  * Improved MOD/XM/IT rendering (64 bit mixing, sample declicking, etc)
  * Totally new output driver (faster and more compatible)
  * Language package support
  * Windows font support w/ International characterset capability (optional)
  * Better filetype registration (with options to register on start, etc)
  * Desktop Icon and Quicklaunch adding
  * Customizable DSP/Vis plug-in directories.
  * Playlist editor has more intuitive moving
  * Winamp Browser 
  * A TON of bugfixes (if you've been having GDI errors this should fix)

What's new in Winamp 2.09?
  * Fixed stupid hanging bug in CDDA support 
  * Fixed retarded Windows-making-the-window-too-high-after-awhile bug.
  * Fixed clear-playlist-then-seek bug.
  * Fixed Nitrane's invalid-genre %6 bug.
  * Added full Xing VBR support to Nitrane. Seeking and time estimation
    work perfectly.
  * Preliminary ID3v2 support (tag is skipped reliably)
  * Improved Directsound output (Thanks to Leif Claesson)

What's new in Winamp 2.08?
  * Stupid VC++ 6 screwed up my PropertySheets. Crashed on some systems.
    Fixed (as far as I can tell, let me know =).
  * Fixed a stupid CPU consuming bug in Nitrane
  
What's new in Winamp 2.06 (the final release of 1998!)?
  * Built with VC++ 6 and VC++ 4.2. Faster and smaller (well, we hope)
  * Installer now prompts to use old config/fresh config
  * Uninstaller only will remove Plugins\ and Skins\ if they are in the
    Winamp directory (i.e. if you have a giant skin directory in another
    location it won't remove it)
  * Added bar analyzer mode to built-in vis (woo!)
  * Made .pls playlists streamable
  * Info-reading on demand mode, supplements info-on-load
  * Made http:// default in open location box
  * Better directory and drive adding support (you can now do 'G:\' in 
    the open location box to play an audio CD, for instance)
  * Fixed a slight alignment bug in playlist editor
  * Nullsoft Visualization Library!  (wVis 4.1+NS Fullscreen Vis)
  * Included experimental gapless output driver (rocks the casbah)
  * Improved DirectSound output driver
  * Made some mods to the waveOut plug-in, should be more stable and more
    compatible (might have sacrificed a teeny bit of vis accuracy tho)
  * CDDB support now remembers if it hasn't worked recently to avoid
    from keeping popping up.
  * Fixed a dsp plug-in bug in Nitrane
  * Added SHOUTcast title reading to Nitrane, improved Nitrane's HTTP
    streaming (non-blocking connect, baby)
  * Added better MPEG 2.5 support to Nitrane (still don't have the right
    reordering tables, though, but an improvement nonetheless)
 
What's new in Winamp 2.05?
  * Fixed some vis->plug-in interface bugs
  * Fixed apply button in setup tab of prefs
  * Rewrote some memory chunk allocation code.
  * Added a buttload of IPC stuff (lots, baby!)
  * wVis 4.0: New effects, higher quality rendering, and DirectDraw fullscreen
    modes.
  * Fixed a skin bug
  * Fixed a few error-detection related bugs in Nitrane.
  * Preliminary CDDB Support (CDDBP only, no HTTP)
  * Much improved HTTP streaming. You can now psuedo-stream MOD,WAV,and MIDI
    files.
  * Improved MOD decoder (Thanks Jake!)
  * Updated icons. Fixed a lot of little cosmetic bugs.

What's new in Winamp 2.04?
  * Bugfixes. I had these logged but I lost the log file :(
  * Better installer integration (/install and /uninstall switch)
  * New, nicer, self checking installer. Uninstall too!
  * Fixed vis starting before first track bug
  * Added /CLASS="Winamp v1.y" switch
  * Added .ZIP support for skins. Simply drop a zipped skin in your Winamp\Skins
    directory!
  * Nitrane 1.24 with better sound quality and corrupt MP3 handling,
    two different EQ modes, and an experimental Aural Stimulation Mode.
  * Better "browse for directory" boxes.
  * More IPC stuff (EQ, Skins, etc -- see frontend.txt)
  

What's new in Winamp 2.03?
  * Improved shift selection in playlist editor
  * Better litestep support (litestep options in preferences/options, too)
  * Fixed a number of midi/cdda related bugs
  * Added WM_GETMINMAXINFO handler, to improve maximize handling and windowshade
  * Fixed some stupid (but very annoying) window region related bugs. 
  * Nitrane 1.22, for better sounding MP3 playback
  * New 'No Playlist Advance' option for DJs and people who like to jump
    around in playlists.
  * Snapping is now adjustable.
  
What's new in Winamp 2.02?
  * massive improvements to audio output system. No more skips!
    (be sure you set your audio output prefs to the recommended
     settings :)
  * Some dsp plug-in related enhancements.
  * fixed eq preset reloading bug
  * Optimized Nitrane's 3DNow! mode some more. About 10% faster.
    (went from 11.5% to 10.2% or so)
  * Ported some code to C in in_mod, for the upcoming 2.02 AXP build :)
 
What's new in Winamp 2.01?
  * made playlist editor use windows font.. resizable and skinnable
  * fixed a silly little hide-mainwindow-while-minimized-bug
  * added up/down arrow (and mousewheel scroll) to plwindowshade
  * fixed silly position bar moving bug
  * made EQ's 0-lock more accurate
  * made title-scroll option 
  * added width&height chex for pl
  * fixed error with sorting in skin selection box
  * fixed evil playlist editor 256 color bugs and alignment stuff
  * Nitrane 1.20. Faster, fully functional layer 2 support. Optimizations. 
    Better sounding half and quarter rate modes. fixed decoder mode setting
  * more... ! :)

What's new in Winamp 2.0?
  * I wouldn't know where to start =) sorry, just play with it..

----------- Old 1.x What's New ---------------------------------------------
What's new in Winamp 1.92 SP?
  * New Nitrane 1.0 MPEG audio decoder (mostly bugfixes)
  * New MOD/XM/IT player (see readme.txt)
  * New CDDA plug-in.
  * Fixed WAV plug-in
  * A few new plug-ins.

What's new in Winamp 1.92?
  * Mousewheel support (controls volume, or seeks when pressed)
  * Saves prefs even if you shut down while winamp is running
  * Skins can now change the color of most of Winamp's dialogs
    (see dialogs.txt in Skins\DColor)
  * Shift-minimize minimizes to tray
  * Plug-in name caching
  * Modeless prefs box, skin selector, about box
  * Better filetype registration. With unregistration, and individual 
    extension selection
  * Win98/IE4 taskbar support
  * added /config=file.ini (path optional) switch.
  * fixed some region related bugs
  * Apply works as expected in prefs now! :)
  * Nitrane MP3: totally new decoding engine with support for MMX, 3DNow!
    and more.
  * Removed MIDI/CDDA plug-ins temporarily (coming back soon when we get 
    them working better)

What's new in Winamp 1.91 sp1?
  * midi plugin: Fixed MIDI playback for files with spaces in their names
  * midi plugin: Trying to reinitialize synth on playback
  * wave plugin: fixed ACM problems on some systems with normal PCM files
    (bypass ACM)

What's new in Winamp 1.91?
  * better short-fn to lfn conversion
  * added new remove options to playlist editor
  * added /new switch, opens up a new winamp, always
  * none option for taskbar/tray display setting
  * Optimized prefs/plugins -- dsp plugins now must be named dsp_*.dll.
  * Made playlist editor keep track of playlist file (again)
  * Added SkinDir= and PluginDir= options for winamp.ini (add them manually 
    in [Winamp] in Winamp.ini to change)
  * Fixed up some delete playlist-then-hit-stop bugs
  * Fixed input-change bug in vis plugins
  * added skin enhancement: region.txt region specifier
  * added skin enhancement: balance.bmp is like volume.bmp but for 
    balance/panning bar
  * added skin enhancement: nums_ex.bmp allows for - sign definition :)
  * added 'playlist types' to open dialog
  * made snap to viewport snap on move in stead of on drop
  * added plug-in config hotkey/menu item
  * made vis_fs.dll default visualization
  * changed file type to 'winamp media file' from 'mpeg file'..
  * added demo.mp3, and auto-play on first run
  * fixed 2 digit bitrate/mixrate bug
  * fixed IPC_JUMPTOTIME bug (works now)
  * improved http m3u reading (error detection, yay)
  * made doublesize mode not so screwupy in win95
  * optimized title/length reading code
  * auto-idle when not playing
  * revised plug-in spec
  * added 'default extension' option
  * mp3 decoder: new time calculation code (all integer)
  * mp3 decoder: added options for different extensions 
    (and additional extensions)
  * mp3 decoder: added MMS streaming option
  * mp3 decoder: optimized size-changing checking code (for indirect streaming)
  * mp3 decoder: mixed-bitrate mp3s now display average bitrate
  * mp3 decoder: more genres
  * mp3 decoder: high genre bug fixed
  * mp3 decoder: improved http and mms streaming (with error detection n stuff)
  * mp3 decoder: fixed priority setting bug
  * mp3 decoder: added error messages for id3 editor box
  * mp3 decoder: new output system (optimized)
  * mod decoder: fixed priority setting bug
  * mod decoder: added better 8 bit support
  * mod decoder: new 'if title is empty' logic.. 
  * mod decoder: added support  for windowshade vu
  * mod decoder: added .669 support
  * mod decoder: new output system (optimized)
  * mod decoder: added waveform dsp plugin support
  * wav decoder: .VOC support. Only mono, 8 bit files are supported.
  * wav decoder: .VOC support supports silence blocks and changing samplerates
                 (all upsampled to 44.1kHz)
  * wav decoder: .WAV support. Uses ACM so you can play any .WAV file.
  * linein/cdda decoder: support for linein:// and .CDA cd tracks.


What's new in Winamp 1.90?
  * Major release - Winamp is now a general purpose audio player 
    (.MODs are back baby!)
  * Plug-in input sources. Included MP2/MP3 plug-in, MOD/XM/S3M/IT plug-in. 
    Coming soon: WAV/VOC/AU/AIFF, AAC, CD Audio, etc
  * Lots of bugfixes
  * New bugs (since we changed a *lot*)
  * Included new beta nifty fullscreen visualization library (with a dot
    fountain! :)

What's new in Winamp 1.82?
  * Even more ID3 genres
  * Decoder bug fixed (for corrupted mp3s)
  * Better shell integration (both play and queue options)

What's new in Winamp 1.81?
  * More ID3 genres
  * Fixed dsp plug-in non-working thingy
  * New 'alternate volume setting code' that works on all systems
  * You can now set the buffering time to 0 seconds for low-latency
  * No more integer mode (sucky)
  * New quarter-sample-rate mode
  * New 'agressive buffering' option
  * Cosmetic improvements
  * Winamp now remembers position in last playlist when starting
  * Random skin option box (see skin selector)

What's new in Winamp 1.80?
  * Skin support 
  * Plug-Ins now go in Plugins\ (move your old ones there)
  * Experimental integer mode for 486s
  * 64 bit mode for extra good sound
  * Removed Extra-HQ switch (always HQ now) 
  * Removed bufferless playback mode (slower according to vtune, just set 
    buffer-size to around 0.3 seconds for faster EQ, etc) 
  * Playlist editor bugfixes and enhancements
  * Many small bugfixes 
  * Optimized audio output code
  * Hold down shift while seeking for some fun 

What's new in Winamp 1.73?
  * .WAV writing bug fixed (sorry! :)

What's new in Winamp 1.72?
  * Winamp style dialogs are now an option
  * Improved streaming, supports nearly all web servers (we hope), and HTTP
    proxies.
  * Fixed many little bugs, little improvements

What's new in Winamp 1.70?
  * Redesigned playlist editor. Much more intuitive.
  * Fixed a TON of 256 color issues (vis looks better, dialogs look better)

What's new in Winamp 1.69?
  * Restyled playlist editor, graphical equalizer jump box, etc
    - they look MUCH nicer
  * 10 band graphical equalizer
    (Makes your 1.666 and earlier presets incompatible.. sorry)
  * Clutterbar now shows you the function of each button in the title
    field (when the mouse is over them)
  * Playlist editor's time calculation is better (uses ?'s if uncertain, and
    shows hours/minutes/seconds if applicable)
  * Playlist editor displays time for each track (if available)
  * More optimization, mostly in lower quality mode.
  * Plug-in related stability improvements (tries to tame badly behaved
    plug-ins)
  * Minor bugs fixed, including DSP selection, reverse stereo analyzer plug-in
  * Fixed focus-main-winamp-window-on-open-of-eq-or-pe bug. (phew)
  * Reverted the previous button back to the old way, of previous song, always
    (I like it better this way too)
  * New prebuffer after seek option
  * HQ button is now single-click
  * Sorry, this version changes the configuration format. You will need
    to reconfigure Winamp to your liking if you are upgrading.
  * A few new IPC calls

What's new in Winamp 1.666?
  * The Clutterbar.
  * Windowshade button 
  * Seek-in-windowshade mode 
  * Added desktop icon adding to preferences
  * Added a nifty hq control on main interface. 
  * New ID3 tags 
  * General purpose plug-in architecture (woohoo)
  * Fixed mixed-mode layer 2 bug (yay) 
  * Fixed "blip" bug in low quality imdct 
  * Optimized huffman decoding and requantinization
  * New high quality mode. Slower (but still quick), and sounds GREAT
  * Vastly improved shell integration. Try selecting lots of files in explorer,
    and hit "open" (doesn't work perfectly unless Winamp is already running)
  * Improved graphical equalizer (new ranges, more accurate, etc) 
  * Added live web links. 
  * Changed format of seeking display status 
  * Added nifty "add to playlist from explorer" (more or less) option to 
    prefs/initial setup 
  * Better VU meter with peak detection in windowshade 
  * More stable threading
  * Improved command line handling (supports relative pathnames better) 
  * Alternate volume setting mode (for some soundcards)
  * More ID3 format strings 
  * New buffer-all logic 
  * More IPC functions for programmers
  * %6 ID3 bug fixed (invalid genres) 

What's new in Winamp 1.64?
  * MAJOR "bug" fix: fixed buffer size logistics (enables 48/24/12khz output
    on many soundcards that wouldn't work before).

What's new in Winamp 1.62?
  * Numerous bugs fixed
  * Tooltip on titlebar
  * More menu items

What's new in Winamp 1.61?
  * Improved ID3 tag reading logic
  * Resizable playlist editor
  * Bugs fixed in .WAV writer (now replaces /\|,. etc with _)
  * Plug-in configuration hwndParent bug fixed 
  * Configurable icon in system tray
  * Yes, we like refinements


What's new in Winamp 1.60?
  * Improved sound quality (added HQ option)
  * Improved batch .WAV writer
  * Cleaned up playlist editor
  * New ID3->Title translation
  * New multiple instances logic
  * Lots of cosmetic improvements and refinements
  * Countless other improvements and bugfixes


What's new in Winamp 1.6 BETA?
  * Plugin Architecture
    * Visualization Plugins 
      * Simple test plugins (Analyser, Oscilliscope, VU meter) 
      * Fullscreen plugins (Analyser, Oscilliscope, Voiceprint, etc) 
        - requires DirectX3+ or NT4SP3 
      * Zygron's plugin library (some nifty effects)
      * Trippy Visualization plugin (rotozooms/motionblurrs an image with the 
        music) - requires DirectX3+ or NT4SP3 
      * 3D Spectrum Analyser plugin (Jeff's) - requires DirectX5. 
    * DSP Plugins 
      * Simple Reverb/Echo 
      * Simple Voice Removal (not extremely advanced) 
      * Note: these plugins might not be that great, but it's open for other 
        people to write plugins (and us when we get more time), so it will 
        be pretty useful. 
  * Right-click context menus in main interface 
  * Improved ID3 tag editor w/ MPEG info display 
  * VU meter and eject button in windowshade mode 
  * Increased visualization accuracy 
  * Faster seeking 
  * More reliable HTTP streaming 
  * Limited support for Microsoft NetShow audio streams (mms://) 
  * Bugfixes, new options (of course)


What's new in Winamp since 1.45?
  * MPEG 2.5 support (preliminary - occasional blips)
  * HTTP streaming support
  * New "Eject" button
  * Fixed clipping problem
  * New mini features
  * TONS of bugfixes

What's new in Winamp since 1.40?
  * Keyboard shortcuts for playlist editor (as requested)
    * Ctrl+A: selects all
	* Ctrl+N: selects none
	* Ctrl+I: inverts selection
	* Ctrl+L: loads playlist
	* Ctrl+S: saves playlist
	* Ctrl+O: sorts by title
	* Shift+O: sorts by filename
	* Ctrl+Shift+O: sorts by full filename (with path)
	* Ctrl+R: randomize
	* Ctrl+Shift+R: reverse
	* Delete: deletes selected mp3s.
	* Enter: plays (first) selecteed mp3
    * Insert: inserts mp3s
	* Shift+Insert: inserts directory
	* Control+Insert: inserts playlists
  * Super low latency low overhead buffering for some computers 
    * This lets my P5-133 use around 2% with ALL options on in Windows NT 
	  (but only with my GUS pnp, it doesn't help my AWE32. huh)
	* It isn't as skip-proof as normal buffering, so you will probably have
	  to give it some big priority boost in the preferences. But the performance
	  on some systems is amazing, the fastest I have EVER seen. 
  * Winamp is now 100% uncrippled nag-free Shareware that never expires. 
    * Registration for personal use is only $10.

What's new in Winamp since 1.20?
Here's a few:
  * Restyled playlist editor (with improved functionality)
    * Total time display in playlist editor
  * Rewritten playlisting engine (less buggy, more efficient)
  * Improved ID3 tag editor (alphabetical genres)
  * Revised main user interface
        * Display of positioning/volume/balance in songname field
	* Panning control
	* EQ & Playlist buttons
	* Enlarged songname field.
	* Manual songname scrolling returned
  * Doublesize mode
  * Optimized Visualization (less slowdown in win95)
  * Fire Analyzer Mode
  * Snap-to-viewport in always on top mode
  * Returned mixed-bitrate MPEG 2 stream support
  * Logarithmic EQ
	* Now has full -12db to +12db adjustment
	* Presets and auto-loading of settings (per mp3)
  * Higher priority by default
  * Changes to taskbar/system tray preferences take place immediately
  * .WAV ouput support (look in Preferences/Output/Device)
  * Added support for mixed bitrate streams
  * More file icons
  * Lots of bugfixes and refinements
